﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Pivot.Core;
using Telerik.Pivot.Core.Aggregates;

namespace Pivot_CustomTextAggregateDescription
{
    public class StringAggregateFunction : AggregateFunction
    {
        public override string DisplayName
        {
            get
            {
                return "Text of";
            }
        }

        protected override Cloneable CreateInstanceCore()
        {
            return new StringAggregateFunction();
        }

        protected override void CloneCore(Cloneable source)
        {
        }

        protected override AggregateValue CreateAggregate(IAggregateContext context)
        {
            return this.CreateAggregate(context.DataType);
        }

        protected override AggregateValue CreateAggregate(Type dataType)
        {
            return new StringAggregate();
        }
    }
}
